using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace Mango
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] x = new int[n];
            string[] s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++) 
            {
                x[i] = int.Parse(s[i]);
            }
            int m = int.Parse(Console.ReadLine());
            int c = 0;
            for(int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split();
                int l = int.Parse(s[0]);
                l--;
                int r = int.Parse(s[1]);
                r--;
                for (int j = l; j < r; j++)
                {
                    if (x[j] > x[j + 1])
                    {
                        c++;
                    }
                    if (c > 1)
                    {
                        break;
                    }
                }
                if (c == 0 || c == 1)
                {
                    Console.WriteLine("DA");
                }
                else
                {
                    Console.WriteLine("NE");
                }
                c = 0;
            }
        }
    }
}